routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//    return view('welcome');
//});
Route::resource('category','CategoryController');
Route::get('/admin','AdminController@index')->name('admin.admin');


Route::resource('product','ProductController');
Route::resource('about','AboutController');
Route::resource('banner','BannerController');
Route::resource('contact','ContactController');
Route::resource('tintuc','TintucController');
Route::resource('material','MaterialController');
Route::resource('extra','AdminController');
Route::resource('vendor','VendorController');
Route::resource('settings','SettingController');
Route::get('category/{cate}/delete', 'CategoryController@destroy');
Route::get('product/{pro}/delete', 'ProductController@destroy');
Route::get('material/{mater}/delete', 'MaterialController@destroy');
Route::get('about/{ab}/delete', 'AboutController@destroy');
Route::get('banner/{banner}/delete', 'BannerController@destroy');
Route::get('tintuc/{tintuc}/delete', 'TintucController@destroy');
Route::get('contact/{contact}/delete', 'ContactController@destroy');
Route::get('vendor/{vendor}/delete', 'VendorController@destroy');
Route::get('setting/{setting}/delete', 'SettingController@destroy');



Auth::routes();
Route::resource('/','HomeController');
Route::get('/layout', 'HomeController@index')->name('layout');
//Frontend
Route::get('/','FrontendController@index')->name('frontend');
Route::get('/gioithieu','FrontendController@introduce')->name('gioithieu.index');
Route::get('/sanpham','FrontendController@produce')->name('sanpham.index');
Route::get('/article','FrontendController@article')->name('article.index');
Route::get('/doitac','FrontendController@doitac')->name('doitac.index');



Route::get('/lienhe','FrontendController@lienhe')->name('lienhe.index');
Route::post('/lien-he', 'FrontendController@createContact')->name('taolienhe');
//chitiet
Route::get('/chi-tiet-san-pham/{slug}', 'FrontendController@chiTietSanPham')->name('ctsp');
Route::get('/chi-tiet-tin-tuc/{slug}', 'FrontendController@chitiettintuc')->name('cttt');

app/Tintuc.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Tintuc extends Model
{
    //
}

app/Http/Controllers/TintucController.php
<?php

namespace App\Http\Controllers;

use App\Tintuc;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class TintucController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $tintuc = Tintuc::latest()->paginate(5);
        return view('admin.tintuc.index',[
            'tintuc' => $tintuc,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $tintuc = Tintuc::all();
        return view('admin.tintuc.create',[
            'tintuc' =>$tintuc,
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $tintuc = new Tintuc();
        if ($request->hasFile('image')){
            //get file
            $file = $request->file('image');
            //dat ten
            $filename = time().'_'.$file->getClientOriginalName();
            //upload thu muc
            $path_upload = 'upload/tintuc/';
            //thuc hien upload anh len
            $request->file('image')->move($path_upload,$filename);

            $tintuc->image=$path_upload. $filename;
        }

        $tintuc ->title = $request->input('title');
        $tintuc ->slug = Str::slug($request->input('title'));
        $tintuc ->summary= $request->input('summary');
        $tintuc ->description = $request->input('description');
        $tintuc ->position = $request->input('position');


        $tintuc->save();
        return redirect()->route('tintuc.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $tintuc = Tintuc::find($id);
        return view('admin.tintuc.edit',[
            'tintuc' =>$tintuc,
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $tintuc = Tintuc::find($id);
        if ($request->hasFile('image')){
            $file = $request->file('image');
            $file_name = time(). '_'. $file->getClientOriginalName();
            $path_upload = 'upload/tintuc/';
            $request->file('image')->move($path_upload,$file_name);
            $tintuc ->image = $path_upload.$file_name;
        }
        $tintuc ->title = $request->input('title');
        $tintuc ->slug = Str::slug($request->input('title'));
        $tintuc ->summary= $request->input('summary');
        $tintuc ->description = $request->input('description');
        $tintuc ->position = $request->input('position');
        $tintuc->save();
        return redirect()->route('tintuc.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $tintuc = Tintuc::find($id);
        $tintuc->delete();
        return redirect('/tintuc');
    }
}

resources/views/admin/tintuc/create.blade.php
@extends('admin.layout.main')
@section('content')
    <style>
        .card-danger .card-title {
            font-size: 1.5rem;
        }

        .card-danger .card-body {
            padding: .7em 1.25rem
        }
    </style>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12 d-flex justify-content-between align-items-center">
                    <h1>Thêm Mới </h1>
                    <a href="/tintuc">
                        <button type="button" class="btn btn-info"><i class="fas fa-th-list mr-2"></i>Danh sách</button>
                    </a>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <section class="content col-lg-12">
        <!-- left column -->
        <div class="col-md-12 col-lg-12">
            <!-- general form elements -->

            <div class="card">
            {{--                @if($errors->any())--}}
            {{--                    <div class="card-danger">--}}
            {{--                        <div class="card-header">--}}
            {{--                            <h3 class="card-title"><i class="fas fa-exclamation-triangle mr-2"></i>Lỗi!</h3>--}}
            {{--                            <div class="card-tools">--}}
            {{--                                <button type="button" class="btn btn-tool" data-card-widget="remove">--}}
            {{--                                    <i class="fas fa-times"></i>--}}
            {{--                                </button>--}}
            {{--                            </div>--}}
            {{--                            <!-- /.card-tools -->--}}
            {{--                        </div>--}}
            {{--                        <!-- /.card-header -->--}}
            {{--                        @foreach($errors->all() as $error)--}}
            {{--                            <div class="card-body bg-danger">{{$error}}</div>--}}
            {{--                        @endforeach--}}
            {{--                    </div>--}}
            {{--            @endif--}}
            <!-- /.box-header -->
                <!-- form start -->
                <form role="form" action="{{route('tintuc.store')}}" method="post"
                      enctype="multipart/form-data">
                    @csrf
                    <div class="card-body">
                        <div class="form-group">
                            <div class="form-group">
                                <label for="exampleInputFile">Ảnh phòng</label>
                                <input type="file" class="" id="image" name="image">
                            </div>
                            <label for="exampleInputEmail1">Tiêu đề </label>
                            <input value="{{old('name')}}" type="text" class="form-control" id="title" name="title">
                        </div>


                        <div class="form-group">
                            <label for="exampleInputEmail1">Nội dung</label>
                            <input value="{{old('name')}}" type="text" class="form-control" id="summary" name="summary">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Mô Tả</label>
                            <input value="{{old('name')}}" type="text" class="form-control" id="description" name="description">
                        </div>

                    </div>

                    <div class="card-footer">
                        <button type="submit" class="btn btn-primary">Tạo</button>
                        <input type="reset" class="btn btn-default pull-right" value="Reset">
                    </div>
                </form>
            </div>
            <!-- /.box -->
        </div>

        <!-- /.row -->
    </section>
@endsection

@section('js')
    <script type="text/javascript">
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })
        })
    </script>
@endsection

resources/views/admin/tintuc/edit.blade.php
@extends('admin.layout.main')
@section('content')
    <style>
        .card-danger .card-title {
            font-size: 1.5rem;
        }

        .card-danger .card-body {
            padding: .7em 1.25rem
        }
    </style>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12 d-flex justify-content-between align-items-center">
                    <h1>Sửa thông tin </h1>
                    <a href="/tintuc">
                        <button type="button" class="btn btn-info"><i class="fas fa-th-list mr-2"></i>Danh sách</button>
                    </a>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <section class="content col-lg-12">
        <!-- left column -->
        <div class="col-md-12 col-lg-12">
            <!-- general form elements -->

            <div class="card">
            {{--                @if($errors->any())--}}
            {{--                    <div class="card-danger">--}}
            {{--                        <div class="card-header">--}}
            {{--                            <h3 class="card-title"><i class="fas fa-exclamation-triangle mr-2"></i>Lỗi!</h3>--}}
            {{--                            <div class="card-tools">--}}
            {{--                                <button type="button" class="btn btn-tool" data-card-widget="remove">--}}
            {{--                                    <i class="fas fa-times"></i>--}}
            {{--                                </button>--}}
            {{--                            </div>--}}
            {{--                            <!-- /.card-tools -->--}}
            {{--                        </div>--}}
            {{--                        <!-- /.card-header -->--}}
            {{--                        @foreach($errors->all() as $error)--}}
            {{--                            <div class="card-body bg-danger">{{$error}}</div>--}}
            {{--                        @endforeach--}}
            {{--                    </div>--}}
            {{--            @endif--}}
            <!-- /.box-header -->
                <!-- form start -->
                <form role="form" action="{{route('tintuc.update',['id'=>$tintuc->id])}}" method="post"
                      enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
                    <div class="card-body">
                        <div class="form-group">
                            <div class="form-group">
                                <label for="exampleInputFile">Ảnh phòng</label>
                                <img src="{{asset($tintuc->image)}}" alt="">
                                <input  type="file" class="" id="image" name="image">
                            </div>
                            <label for="exampleInputEmail1">Tiêu đề </label>
                            <input value="{{$tintuc->title}}" type="text" class="form-control" id="title" name="title">
                        </div>


                        <div class="form-group">
                            <label for="exampleInputEmail1">Nội dung</label>
                            <input value="{{$tintuc->summary}}" type="text" class="form-control" id="summary" name="summary">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Mô Tả</label>
                            <input value="{{$tintuc->description}}" type="text" class="form-control" id="description" name="description">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Vị Trí</label>
                            <input value="{{$tintuc->position}}" type="number" class="form-control" id="position" name="position">
                        </div>

                    </div>

                    <div class="card-footer">
                        <button type="submit" class="btn btn-primary">Lưu</button>
                        <input type="reset" class="btn btn-default pull-right" value="Reset">
                    </div>
                </form>
            </div>
            <!-- /.box -->
        </div>

        <!-- /.row -->
    </section>
@endsection

@section('js')
    <script type="text/javascript">
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })
        })
    </script>
@endsection

resources/views/admin/tintuc/index.blade.php
@extends('admin.layout.main')
@section('content')
    <style>
        table tbody tr td:nth-child(4) p > img{
            width: 60px!important;
        }
    </style>
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h1>
                    <a href="{{route('tintuc.create')}}" class="btn btn-info add-new" style="float: right" >
                        <i class="fas fa-plus"></i> Thêm thông tin</a>

                </h1>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Image</th>
                        <th>Title</th>
                        <th>Summary</th>
                        <th>Description</th>
                        <th>Position</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($tintuc as $key =>  $tt)
                        <tr>
                            <td>{{$key + 1}}</td>
                            <td>
                                @if($tt->image)
                                    <img src="{{asset($tt->image)}}" alt="" width="60" height="60">
                                @endif
                            </td>
                            <td>{{$tt->title}}</td>
                            <td>{!! $tt->summary !!} </td>
                            <td>{{$tt->description}}</td>
                            <td>{{$tt->position}}</td>




                            <td>


                                <a href="{{route('tintuc.edit',['id'=>$tt->id])}}" class="btn btn-info btn-sm">
                                    <i class="fas fa-pencil-alt"></i>
                                    Edit </a>
                                <a href="/tintuc/{{$tt->id}}/delete" class="btn btn-danger btn-sm" onclick="return confirm('Có muốn xóa không mà xóa?')">
                                    <i class="fas fa-trash"></i>
                                    Delete </a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
                {{ $tintuc->links() }}
        <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>

@endsection